﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.UltraChart.Core.Primitives;

namespace WindowsFormsApplication20
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();


            DataTable dt = new DataTable();
            dt.Columns.Add("Item", typeof(string));
            dt.Columns.Add("London", typeof(decimal));
            dt.Columns.Add("London+", typeof(decimal));
            dt.Columns.Add("Sofia", typeof(decimal));
            dt.Columns.Add("Sofia+", typeof(decimal));
            

            dt.Rows.Add("Aug 2013", -10, 20, -15, 25);
            dt.Rows.Add("Aug 2013", -20, 40, -25, 45);
            dt.Rows.Add("Aug 2013", -30, 10, -35, 15);

            dt.Rows.Add("Sept 2013", -15, 40, -15, 40);
            dt.Rows.Add("Sept 2013", -10, 60, -10, 60);
            dt.Rows.Add("Sept 2013", -50, 20, -50, 20);

            dt.Rows.Add("Oct 2013", -60, 40, -60, 40);
            dt.Rows.Add("Oct 2013", -55, 70, -55, 70);
            dt.Rows.Add("Oct 2013", -65, 60, -65, 60);

            dt.Rows.Add("Nov 2013", -30, 10, -30, 10);
            dt.Rows.Add("Nov 2013", -40, 20, -40, 20);
            dt.Rows.Add("Nov 2013", -30, 10, -30, 10);

            dt.Rows.Add("Dec 2013", -15, 20, -15, 20);
            dt.Rows.Add("Dec 2013", -23, 40, -23, 40);
            dt.Rows.Add("Dec 2013", -10, 10, -10, 10);

            ultraChart1.DataSource = dt;

            Color[] initColor = new Color[] { Color.Red, Color.Gold };
            this.ultraChart1.ColorModel.ModelStyle = Infragistics.UltraChart.Shared.Styles.ColorModels.CustomLinear;
            this.ultraChart1.ColorModel.CustomPalette = initColor;
        }

        private void ultraChart1_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
        {
            foreach (Primitive pr in e.SceneGraph)
            {
                Box pl = pr as Box;
                if (pl != null && pl.Series != null && (pl.Column == 1 ||pl.Column == 3))
                {
                     pl.rect = new Rectangle(pl.rect.X - pl.rect.Width, pl.rect.Y, pl.rect.Width * 2, pl.rect.Height);
                     
                }
                if (pl != null && pl.Series != null && (pl.Column == 0 || pl.Column == 2))
                {
                    pl.rect = new Rectangle(pl.rect.X , pl.rect.Y, pl.rect.Width * 2, pl.rect.Height);

                }
                if (pr != null && pr.GetType() == typeof(Text) && (pr.Column == 1 ||pr.Column == 3))
                {
                    ((Text)pr).SetTextString("");
                }

               
            }
        }
    }
}
